Bug 1121984 - Inconsistencies in jboss-ews-httpd-* and jboss-eap-native-webserver-connectors-* zips
Summary: Inconsistencies in jboss-ews-httpd-* and jboss-eap-native-webserver-connector...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Apache Server (httpd) and Connectors
Version: 6.3.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ER1
: EAP 6.4.0
Assignee: Vaclav Tunka
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 09:24 UTC by Michal Karm Babacek
Modified: 2019-08-19 12:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:38:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Karm Babacek 2014-07-22 09:24:25 UTC
Hi guys,
there are inconsistencies in Apache HTTP Server distribution zips and JBoss EAP Native Webserver Connectors zips.

mod_cluster.conf.* and mod_jk.conf.* have been moving around and/or packaged twice during the builds:


Presence in httpd zips:

6.2.0.GA/httpd
jboss-ews-httpd-2.0.1-RHEL5-i386.zip
=======================================
jboss-ews-httpd-2.0.1-RHEL5-x86_64.zip
=======================================
jboss-ews-httpd-2.0.1-RHEL6-i386.zip
=======================================
jboss-ews-httpd-2.0.1-RHEL6-x86_64.zip
=======================================
jboss-ews-httpd-2.0.1-sun10.i386.zip
     1254  06-20-2013 14:25   jboss-ews-2.0/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-ews-httpd-2.0.1-sun10.sparc64.zip
     1254  06-20-2013 11:04   jboss-ews-2.0/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-ews-httpd-2.0.1-sun10.x86_64.zip
     1254  06-20-2013 14:25   jboss-ews-2.0/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-ews-httpd-2.0.1-win6.i686.zip
     1305  05-06-2013 10:50   jboss-ews-2.0/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-ews-httpd-2.0.1-win6.x86_64.zip
     1305  05-06-2013 10:50   jboss-ews-2.0/etc/httpd/conf/mod_jk.conf.sample
=======================================


6.3.0.ER9/httpd
jboss-ews-httpd-2.1.0-RHEL5-i386.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL5-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-i386.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-ppc64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL7-ppc64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL7-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-sun10.i386.zip
     1254  06-17-2014 14:13   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-ews-httpd-2.1.0-sun10.sparc64.zip
     1254  06-17-2014 13:54   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-ews-httpd-2.1.0-sun10.x86_64.zip
     1254  06-17-2014 14:11   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-ews-httpd-2.1.0-win6.i686.zip
     1305  06-12-2014 07:39   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-ews-httpd-2.1.0-win6.x86_64.zip
     1305  06-12-2014 07:40   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
=======================================


6.3.0.ER10/httpd
jboss-ews-httpd-2.1.0-RHEL5-i386.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL5-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-i386.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-ppc64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL7-ppc64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL7-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-sun10.i386.zip
     1254  06-17-2014 14:13   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      732  07-08-2014 10:11   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================
jboss-ews-httpd-2.1.0-sun10.sparc64.zip
     1254  06-17-2014 13:54   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      732  07-08-2014 10:13   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================
jboss-ews-httpd-2.1.0-sun10.x86_64.zip
     1254  06-17-2014 14:11   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      732  07-08-2014 10:11   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================
jboss-ews-httpd-2.1.0-win6.i686.zip
     1305  06-12-2014 07:39   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      758  07-08-2014 09:44   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================
jboss-ews-httpd-2.1.0-win6.x86_64.zip
     1305  06-12-2014 07:40   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      758  07-08-2014 09:44   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================


6.3.0.ER10.1/httpd
jboss-ews-httpd-2.1.0-RHEL5-i386.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL5-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-i386.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-ppc64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL6-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL7-ppc64.zip
=======================================
jboss-ews-httpd-2.1.0-RHEL7-x86_64.zip
=======================================
jboss-ews-httpd-2.1.0-sun10.i386.zip
     1254  06-17-2014 14:13   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      732  07-08-2014 10:11   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================
jboss-ews-httpd-2.1.0-sun10.sparc64.zip
     1254  06-17-2014 13:54   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      732  07-08-2014 10:13   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================
jboss-ews-httpd-2.1.0-sun10.x86_64.zip
     1254  06-17-2014 14:11   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      732  07-08-2014 10:11   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================
jboss-ews-httpd-2.1.0-win6.i686.zip
     1305  06-12-2014 07:39   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      758  07-08-2014 09:44   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================
jboss-ews-httpd-2.1.0-win6.x86_64.zip
     1305  06-12-2014 07:40   jboss-ews-2.1/etc/httpd/conf/mod_jk.conf.sample
      758  07-08-2014 09:44   jboss-ews-2.1/etc/httpd/conf.d/mod_cluster.conf.in
=======================================




Presence in native-webserver-connectors zips:

6.2.0.GA/natives
jboss-eap-native-webserver-connectors-6.2.0-hpux3.ia64.zip
  1049776  09-24-2013 11:32   jboss-eap-6.2/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-20-2013 06:58   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.2.0-RHEL5-i386.zip
     1267  10-16-2013 10:56   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  09-10-2013 14:09   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   407432  10-16-2013 10:56   jboss-eap-6.2/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.2.0-RHEL5-x86_64.zip
     1267  10-16-2013 10:56   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  09-10-2013 14:09   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   380560  10-16-2013 10:56   jboss-eap-6.2/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.2.0-RHEL6-i386.zip
     1267  10-16-2013 10:54   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  09-10-2013 13:56   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   403588  10-16-2013 10:54   jboss-eap-6.2/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.2.0-RHEL6-x86_64.zip
     1267  10-16-2013 10:54   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  09-10-2013 13:56   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   380864  10-16-2013 10:54   jboss-eap-6.2/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.2.0-sun10.i386.zip
   496412  10-16-2013 16:31   jboss-eap-6.2/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
     1254  06-20-2013 14:25   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.2.0-sun10.sparc64.zip
   497632  10-16-2013 16:32   jboss-eap-6.2/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-20-2013 11:04   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.2.0-sun10.x86_64.zip
   559224  10-16-2013 16:31   jboss-eap-6.2/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-20-2013 14:25   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.2.0-win6.i686.zip
     1305  05-06-2013 10:50   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   272384  10-29-2013 10:21   jboss-eap-6.2/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.2.0-win6.x86_64.zip
     1305  05-06-2013 10:50   jboss-eap-6.2/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   339456  10-29-2013 10:22   jboss-eap-6.2/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================


6.3.0.ER9/natives
jboss-eap-native-webserver-connectors-6.3.0.ER9-hpux3.ia64.zip
  1050336  07-08-2014 11:19   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-03-2014 07:48   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-RHEL5-i386.zip
      718  06-20-2014 14:34   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
     1267  04-28-2014 15:25   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   416744  04-28-2014 15:25   jboss-eap-6.3/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-RHEL5-x86_64.zip
   389040  04-28-2014 15:25   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
      718  06-20-2014 14:34   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
     1267  04-28-2014 15:25   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-RHEL6-i386.zip
     1267  04-28-2014 14:21   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  06-20-2014 14:23   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   413092  04-28-2014 14:21   jboss-eap-6.3/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-RHEL6-ppc64.zip
     1267  04-28-2014 14:22   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  06-20-2014 14:23   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   516400  04-28-2014 14:22   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-RHEL6-x86_64.zip
     1267  04-28-2014 14:21   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  06-20-2014 14:23   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   389344  04-28-2014 14:21   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-RHEL7-ppc64.zip
      718  06-20-2014 14:42   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
     1267  04-28-2014 15:37   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   474656  04-28-2014 15:37   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-RHEL7-x86_64.zip
   388928  04-28-2014 15:36   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
      718  06-20-2014 14:42   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
     1267  04-28-2014 15:36   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-sun10.i386.zip
   513560  07-08-2014 11:18   jboss-eap-6.3/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
     1254  06-17-2014 14:13   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-sun10.sparc64.zip
   506840  07-08-2014 11:18   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-17-2014 13:54   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-sun10.x86_64.zip
   578624  07-08-2014 11:18   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-17-2014 14:11   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-win6.i686.zip
     1305  06-12-2014 07:39   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   272384  07-08-2014 10:56   jboss-eap-6.3/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER9-win6.x86_64.zip
     1305  06-12-2014 07:40   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   343552  07-08-2014 10:56   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================



6.3.0.ER10/natives
jboss-eap-native-webserver-connectors-6.3.0.ER10-hpux3.ia64.zip
  1050336  07-08-2014 11:19   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-03-2014 07:48   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-RHEL5-i386.zip
     1267  07-11-2014 12:20   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  07-11-2014 11:47   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   416744  07-11-2014 12:20   jboss-eap-6.3/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-RHEL5-x86_64.zip
     1267  07-11-2014 12:20   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  07-11-2014 11:47   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   389040  07-11-2014 12:20   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-RHEL6-i386.zip
     1267  07-11-2014 12:06   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  07-11-2014 11:37   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   413092  07-11-2014 12:06   jboss-eap-6.3/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-RHEL6-ppc64.zip
   516400  07-11-2014 12:10   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
      718  07-11-2014 11:37   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
     1267  07-11-2014 12:10   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-RHEL6-x86_64.zip
     1267  07-11-2014 12:06   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
      718  07-11-2014 11:37   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
   389344  07-11-2014 12:06   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-RHEL7-ppc64.zip
   474656  07-11-2014 12:33   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
      718  07-11-2014 11:57   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
     1267  07-11-2014 12:33   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-RHEL7-x86_64.zip
      718  07-11-2014 11:57   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_cluster.conf
     1267  07-11-2014 12:33   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   388928  07-11-2014 12:33   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-sun10.i386.zip
   513560  07-08-2014 11:18   jboss-eap-6.3/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
     1254  06-17-2014 14:13   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-sun10.sparc64.zip
   506840  07-08-2014 11:18   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-17-2014 13:54   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-sun10.x86_64.zip
   578624  07-08-2014 11:18   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
     1254  06-17-2014 14:11   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-win6.i686.zip
     1305  06-12-2014 07:39   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   272384  07-15-2014 06:54   jboss-eap-6.3/modules/system/layers/base/native/lib/httpd/modules/mod_jk.so
=======================================
jboss-eap-native-webserver-connectors-6.3.0.ER10-win6.x86_64.zip
     1305  06-12-2014 07:40   jboss-eap-6.3/modules/system/layers/base/native/etc/httpd/conf/mod_jk.conf.sample
   343552  07-15-2014 06:55   jboss-eap-6.3/modules/system/layers/base/native/lib64/httpd/modules/mod_jk.so
=======================================


The presence of these example configuration files should be fixed in one of the zip distributions.

Comment 1 Michal Karm Babacek 2014-07-22 09:36:57 UTC
Warning: This bugzilla is concerned only with configuration files examples. The actual libraries - .so are present where they are supposed to be. Both for mod_cluster and mod_jk.

Digest:

6.2.0.GA/httpd
mod_jk.conf.sample present in Win and Sun zips. No mod_cluster.conf.

6.2.0.GA/natives
mod_jk.conf.sample present in all native-webserver-connectors zips.
mod_cluster.conf present only in RHEL zips.

6.3.0.ER9/httpd
mod_jk.conf.sample present in Win and Sun zips. No mod_cluster.conf.

6.3.0.ER9/natives
mod_jk.conf.sample present in all native-webserver-connectors zips.
mod_cluster.conf present only in RHEL zips.

6.3.0.ER10/httpd
mod_jk.conf.sample present in Win and Sun zips.
mod_cluster.conf.in present in Win and Sun zips.

6.3.0.ER10/natives
mod_jk.conf.sample present in all native-webserver-connectors zips.
mod_cluster.conf present only in RHEL zips.

6.3.0.ER10.1/httpd - respin I.
mod_jk.conf.sample present in Win and Sun zips.
mod_cluster.conf.in present in Win and Sun zips.

Comment 2 Michal Karm Babacek 2014-07-22 09:52:43 UTC
Highlight - Apache HTTP Server doesn't start
============================================

6.3.0.ER10, ER10.1, Windows, Solaris

If you unzip only the httpd zip on Windows or Solaris and you don't copy additional mod_cluster libraries from the native-webserver-connectors zip, then due to the superfluous mod_cluster.conf.in, that is taken up by the postinstall script, the Apache HTTP Server will fail to start - searching for modules that are not present.

Comment 3 Michal Karm Babacek 2014-07-22 09:58:03 UTC
Related: BZ 1114988

Comment 8 Vaclav Tunka 2014-07-22 19:52:10 UTC
Available in ER10.2 compose

Comment 10 Michal Karm Babacek 2014-07-23 00:17:22 UTC
The mod_jk config removal is not complete, this mod_jk file is still superfluous:

./win6.i686/jboss-ews-2.1/etc/httpd/conf/workers.properties.sample
./sun10.sparc64/jboss-ews-2.1/etc/httpd/conf/workers.properties.sample
./sun10.x86_64/jboss-ews-2.1/etc/httpd/conf/workers.properties.sample
./win6.x86_64/jboss-ews-2.1/etc/httpd/conf/workers.properties.sample
./sun10.i386/jboss-ews-2.1/etc/httpd/conf/workers.properties.sample

@Jan: WDYT?

Comment 11 Mladen Turk 2014-07-23 06:15:56 UTC
Why is this such a big problem?
Those are .sample files and as such harmless.

Removing those from jboss-ews-httpd would require removing their parts from postinstall and because EWS users do not use EAP native-connectors package they would not have any configuration sample file for neither mod_jk or mod_cluster.
I suggest we leave them there.

Comment 12 Jean-frederic Clere 2014-07-23 06:53:38 UTC
In 6.2 the workers.properties.sample, mod_jk.conf.sample are in native-webserver-connectors and not in httpd or do I miss something?

Comment 13 Jan Stefl 2014-07-23 08:34:33 UTC
Jean-Frederic, 
 * This is true for RHEL (and HP-UX where we don't deliver httpd)
 * For Solaris and Windows are mod_jk.conf.sample and 
   workers.properties.sample
   in httpd as well (/jboss-ews-2.0/etc/httpd/conf/)


Ideal state for my POV is:
 * EWS: mod_jk samples, mod_cluster.conf in EWS/httpd only 
   * becase modules are part of httpd
   * mod_cluster enabled by default
   * location: conf or conf.d -> choose safer way
     * from build POV - we are running out of time

 * EAP: mod_jk samples, mod_cluster.conf in 
   EAP/natives-webconnectors only 
   * becase modules are part of natives/webconnectors
   * mod_cluster enabled by default
   * location: conf or conf.d -> choose safer way
     * from build POV - we are running out of time


Does it makes sense to you? Can we manage it?

Comment 14 Jan Stefl 2014-07-23 08:38:21 UTC
Questions are intend for all in discussion.

Comment 17 Jan Stefl 2014-07-25 08:45:28 UTC
Since this only about samples organization, I am changing severity to medium.

Comment 18 Vaclav Tunka 2014-08-12 12:11:01 UTC
I think we should create a new BZ for EAP 6.4 / corresponding JWS release and close this one. There are too many concerns solved in this single BZ and it's difficult to see the goal.

Anyone objects?

Comment 32 Jean-frederic Clere 2014-12-17 09:53:46 UTC
All the RHEL are the same you just need to list the differences between the RHEL and the other platforms, the *.in files are normal differences because they are processed by the postinstall.

I think you should create separated by BZ for the following:
- Remove workers.properties.sample from windows and solaris in Apache HTTP Server
  (minor bug).
- mod_cluster.conf is missing in Webserver Connector Natives for hpux, windows and solaris.
  note we don't have a .postinstall in "Webserver Connector Natives" so probably we just need to copy the mod_cluster.conf.in into mod_cluster.conf.sample.

Comment 35 Vaclav Tunka 2015-01-08 11:10:19 UTC
Fixed per Jean-Frederic's summary in ER1 compose.

Comment 36 Michal Karm Babacek 2015-01-13 11:07:21 UTC
Verified.
THX guys. EAP 6.4.0.ER1 contains all .properties and .conf files at their proper locations.

http://pastebin.test.redhat.com/256011


Note You need to log in before you can comment on or make changes to this bug.